package applications;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.JComboBox;
import javax.swing.JFrame;

import applications.pipes.FuzzyChange;

public class StartApplication {

    /**
     * @param args
     */
    public static void main(String[] args) {
        JFrame fr = new JFrame("Demonstrations: Data Stream Algorithms");
        Container con = fr.getContentPane();
        con.setLayout(new BorderLayout());

        final String[] vals = new String[] { "Please select:","------------","FuzzyClustering"};
        JComboBox cls = new JComboBox(vals);
        cls.addItemListener(new ItemListener() {
            public void itemStateChanged(ItemEvent e) {
                if(e.getStateChange()!=ItemEvent.SELECTED) return;
                Object id = e.getItem();
                if (id.equals(vals[2])) {
                    new Thread(new FuzzyChange()).start();
                } 
            }
        });
        
        con.add(cls,"Center");
        fr.pack();
        fr.setVisible(true);

    }

}
