/*
 * Created on 15.08.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package clustering;

/**
 * @author beringer
 */
public abstract class AbstractDimDistance<T> extends AbstractDistance<T> implements DimDistance<T> {
    
    protected int dimCount;
    
    
    public AbstractDimDistance(int dimCount){
        this.dimCount=dimCount;
    }
    
    public int getDimensionCount(){
        return dimCount;
    }

	
	public double squaredDistance(T d1, T d2){
        double dim2=0;
		for (int i=0;i<dimCount;i++){
            dim2+=squaredDistance(d1,d2,i);
        }
        return dim2;
	}

	public double distance(T d1, T d2) {
		return Math.sqrt(squaredDistance(d1, d2));
	}
    
    public double squaredDistance(T d1, T d2, int dim){
        double dist=distance(d1, d2,dim);
        return dist*dist;
    }

    public double distance(T d1, T d2, int dim){
        return Math.sqrt(squaredDistance(d1, d2,dim));
    }

}
