/*
 * Created on 26.09.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package pipes.data;

import java.util.Iterator;

/**
 * @author beringer
 */
public abstract class AbstractDoubleIterator implements DoubleIterator {

	public void remove() {
		throw new UnsupportedOperationException();
	}

	public boolean hasNext() {
		return true;
	}

	public Object next() {
		return new Double(nextDouble());
	}
	
	public abstract double nextDouble();

}
